package com.shzg.project.worn.domain.dto;

import java.util.Date;
import java.util.List;

public class WornInboundUpdateDTO
{
    /** 入库单ID */
    private Long billId;

    /** 入库单号 */
    private String billNo;
    /** 入库单号 */
    private String billType;
    /** 仓库编码 */
    private String warehouseCode;

    /** 仓库名称 */
    private String warehouseName;

    /** 存储区编码 */
    private String areaCode;

    /** 存储区名称 */
    private String areaName;

    /** 单据备注 */
    private String billRemark;

    /** 入库时间 */
    private Date inboundTime;
    /** 创建时间 */
    private Date createTime;

    /** 状态 */
    private String status;

    /** 物料明细列表 */
    private List<WornInboundItemDTO> itemList;

    public Long getBillId() {
        return billId;
    }

    public void setBillId(Long billId) {
        this.billId = billId;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getBillRemark() {
        return billRemark;
    }

    public void setBillRemark(String billRemark) {
        this.billRemark = billRemark;
    }

    public Date getInboundTime() {
        return inboundTime;
    }

    public void setInboundTime(Date inboundTime) {
        this.inboundTime = inboundTime;
    }
    public Date getCreateTime() {
    return createTime;
}

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<WornInboundItemDTO> getItemList() {
        return itemList;
    }

    public void setItemList(List<WornInboundItemDTO> itemList) {
        this.itemList = itemList;
    }
    public String getBillType() { return billType; }
    public void setBillType(String billType) { this.billType = billType; }

}